import { Component } from '@angular/core';
import { Platform } from 'ionic-angular';
import { StatusBar } from '@ionic-native/status-bar';
import { SplashScreen } from '@ionic-native/splash-screen';

import { LoginPage } from '../pages/login/login';
import { AppData } from '../models/app-data';
import { IssueHandlerPage } from '../pages/issue-handler/issue-handler';
import { IntroPage } from '../pages/intro/intro';
import { MapPage } from '../pages/map/map';

@Component({
  templateUrl: 'app.html'
})
export class MyApp {

  rootPage:any = MyApp.getRootPage();

  constructor(platform: Platform, 
              statusBar: StatusBar, 
              splashScreen: SplashScreen,
              public appData: AppData
            ) {
    platform.ready().then(() => {
      statusBar.styleDefault();
      splashScreen.hide();
      this.appData.getDeviceId();
    });
  }

  static getRootPage() {

  // return IssueHandlerPage;

    // let show = window.localStorage.getItem("showintro");
    // window.localStorage.setItem(accesskey, token.access_token);

    let showIntro = true;
    if(showIntro) {
      return IntroPage;
    }
    return MapPage;
  }
  
}

