
import { CloudSettings } from '@ionic/cloud-angular';
import { BrowserModule } from '@angular/platform-browser';
import { ErrorHandler, NgModule } from '@angular/core';
import { IonicApp, IonicErrorHandler, IonicModule } from 'ionic-angular';
import { HttpModule } from '@angular/http';

import { Diagnostic } from '@ionic-native/diagnostic';
import { LocationAccuracy } from '@ionic-native/location-accuracy';
import { FileChooser } from '@ionic-native/file-chooser';
import { FilePath } from '@ionic-native/file-path';
import { File } from '@ionic-native/file';
import { FileTransfer } from '@ionic-native/file-transfer';
import { SplashScreen } from '@ionic-native/splash-screen';
import { StatusBar } from '@ionic-native/status-bar';
import { ImageResizer } from '@ionic-native/image-resizer';
import { ImagePicker } from '@ionic-native/image-picker';
// import { UniqueDeviceID } from '@ionic-native/unique-device-id';

import { AppConfig } from './app-cfg';
import { MyApp } from './app.component';
import { MapPage } from '../pages/map/map';

import { AppData } from '../models/app-data';
import { UserProvider } from '../providers/user/user';
import { BackendProvider } from '../providers/backend/backend';
import { MapService } from '../providers/map-service';

import { ComponentsModule } from '../components/components.module';
import { MapPageModule } from '../pages/map/map.module';
import { ProfilePageModule } from '../pages/profile/profile.module';
import { Camera } from '@ionic-native/camera';
import { UrlProvider } from '../providers/url/url';
import { LocationProvider } from '../pages/map/location';
import { IssueManager } from '../pages/map/issue-manager';
import { IntroPageModule } from '../pages/intro/intro.module';
import { MyStorageProvider } from '../providers/my-storage/my-storage';



const cloudSettings: CloudSettings = {
  'core': {
    'app_id': '8c00618e'
  }
};


@NgModule({
  declarations: [
    MyApp
  ],
  imports: [
    BrowserModule,
    HttpModule,
    IntroPageModule,
    MapPageModule,
    IonicModule.forRoot(MyApp)
  ],
  bootstrap: [IonicApp],
  entryComponents: [
    MyApp
  ],
  providers: [
    StatusBar,
    SplashScreen,
    // UniqueDeviceID,
    AppConfig,
    AppData,
    MapService,
    FileChooser,    
    File,
    FilePath,
    FileTransfer,
    Camera,
    ImageResizer,
    ImagePicker,
    Diagnostic,
    LocationAccuracy,
    {provide: ErrorHandler, useClass: IonicErrorHandler},
    UserProvider,
    BackendProvider,
    UrlProvider,
    LocationProvider,
    IssueManager,
    MyStorageProvider
  ]
})
export class AppModule {}
