import { Component } from '@angular/core';
import { AppData } from '../../models/app-data';
import { AlertController } from 'ionic-angular';

/**
 * Generated class for the ShowPhotoComponent component.
 *
 * See https://angular.io/docs/ts/latest/api/core/index/ComponentMetadata-class.html
 * for more info on Angular Components.
 */
@Component({
  selector: 'show-photo',
  templateUrl: 'show-photo.html'
})
export class ShowPhotoComponent {

  public static MAX_SIZE_PHOTO = 5;

  maxReached: boolean = false;

  constructor(private appData: AppData,
              private alertCtrl: AlertController) {
    console.log('Hello ShowPhotoComponent Component');
  }

  checkMaxReached(): boolean {
    this.maxReached = false;
    if(this.appData.issue.images.length>=ShowPhotoComponent.MAX_SIZE_PHOTO) {
      this.maxReached = true;
    }

    return this.maxReached;
  }
  
  removePhoto(photo: string) {
    
    var index = this.appData.issue.images.indexOf(photo);
    console.log("ask user for image deletion of photo");

    let alert = this.alertCtrl.create({
      title: 'Remove photo',
      message: 'Do you want to remove this photo?',
      buttons: [
        {
          text: 'Cancel',
          role: 'cancel',
          handler: () => {
            console.log('User cancelled to remove the photo.');
          }
        },
        {
          text: 'Remove',
          handler: () => {
            console.log('User removed photo from issue.');
            this.appData.issue.images.splice(index, 1);    
            this.checkMaxReached();
          }
        }
      ]
    });
    alert.present();
  }
  
}
