import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import { AppConfig } from '../../app/app-cfg';
import { AppData } from '../../models/app-data';
import { Events } from 'ionic-angular';


/**
 * Generated class for the DescriptionPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-description',
  templateUrl: 'description.html',
})
export class DescriptionPage {

  bgColors = { 0: "no", 1: "low", 2: "medium", 3: "high"};
  btnColors = { 0: "main3", 1: "main2", 2: "main1", 3: "main4"};
  btnColorNow: string;
  
  maxInputReached: boolean = false;
  maxLength: number = 500;

  constructor(private appData: AppData,
              public events: Events) {
    console.log('Hello Description Page');
    // this.btnColorNow = this.btnColors[appData.issue.importance];
  }

  rangeChange($event) {
    console.log('changed importance to: ' + this.appData.issue.importance.toString());
  }

  setUrgent(urgentLevel: number, event) {
    this.appData.issue.importance = urgentLevel;
    // this.btnColorNow = this.btnColors[this.appData.issue.importance];
    // event.currentTarget.style.backgroundColor = "orange";
    this.btnColorNow = this.bgColors[urgentLevel];
  }

  goNext() {
    this.events.publish(AppConfig.MSGEVT_NAV, { direction: AppConfig.NAV_NEXT });
  }
  
  descriptionChanged(value) {
    this.maxInputReached = false;
    if(value.length > (this.maxLength-1)) {
      this.maxInputReached = true;
      // this.appData.issue.description = value.substring(0, this.maxLength);      
    }
  }  
}
