import { Component, ViewChild } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import { IssueModel } from '../../models/issue-model';
import { ShowDetailComponent } from '../../components/show-detail/show-detail';

/**
 * Generated class for the DetailPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-detail',
  templateUrl: 'detail.html',
})
export class DetailPage {

  constructor(public navCtrl: NavController
              , public navParams: NavParams) {

    this.initCustom();
  }

  @ViewChild(ShowDetailComponent) showDetail: ShowDetailComponent;

  ionViewDidLoad() {
    console.log('ionViewDidLoad DetailPage');
  }

  initCustom() {
    let paramData = this.navParams.data;
    if(paramData.data) {
      let issue: IssueModel = <IssueModel>paramData.data;
      this.showDetail.setIssue(issue);
    }
  }
  
}
