import { Component, Directive, HostListener, ViewChild, ViewChildren, QueryList } from '@angular/core';
import { IonicPage, NavController, NavParams, Item } from 'ionic-angular';

import { AppConfig } from '../../app/app-cfg';
import { AppData } from '../../models/app-data';
import { TargetModel } from '../../models/target-model'
import { Events } from 'ionic-angular';


/**
 * Generated class for the HazardsPage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-hazards',
  templateUrl: 'hazards.html',
})
@Directive({
  selector: "[click-stop-propagation]"
})
export class HazardsPage {

  // panelDisplay: string;
  panelValues = { 0: "none", 1: "block" };
  panelVisible: number = 0;
  shownGroup: any;

  constructor(private appData: AppData,
    public events: Events) {
    console.log('Hello Hazards Page');
    this.panelVisible = 0;
    this.shownGroup = null;
  }

  // @HostListener("click", ["$event"])
  toggleGroup(group: TargetModel) {

    if (event) {
      event.stopPropagation();
      // event.preventDefault();
    }

    if (this.isGroupShown(group)) {
      this.shownGroup = null;
    } else {
      this.shownGroup = group.participant.label;
    }

    if (!group.hazardList || group.hazardList.length === 0) {
      group.participant.value = !group.participant.value;
    }
  }

  isGroupShown(group) {
    return (this.shownGroup === group.participant.label);
  }

  // @HostListener("click", ["$event"])
  checkOptions(group: TargetModel, event) {

    if (event) {
      event.stopPropagation();
      // event.preventDefault();
    }

    if (group.participant && !group.participant.value) {
      // uncheck all options
      for (let option of group.hazardList) {
        option.value = false;
      }
    }

    if(this.isGroupShown(group)!==group.participant.value) {
      this.toggleGroup(group);
    }
  }


  checkGroup(group) {
    alert('check group');
  }

  goNext() {
    this.events.publish(AppConfig.MSGEVT_NAV, { direction: AppConfig.NAV_NEXT });
  }

  // @HostListener("click", ["$event"])
  optionChange(group) {
    if(group.participant) {
      group.participant.value = true;
    }
  }
}
