import { Component } from '@angular/core';
import { IonicPage, NavController, NavParams } from 'ionic-angular';
import { UserProvider } from '../../providers/user/user';
import { AppData } from '../../models/app-data';
import { IssueModel, IssueClass } from '../../models/issue-model';
import { IssueHandlerPage } from '../issue-handler/issue-handler';
import { TargetModel } from '../../models/target-model';
import { HazardOptionModel } from '../../models/hazard-option-model';
import { UserModel } from '../../models/user-model';

/**
 * Generated class for the ProfilePage page.
 *
 * See https://ionicframework.com/docs/components/#navigation for more info on
 * Ionic pages and navigation.
 */

@IonicPage()
@Component({
  selector: 'page-profile',
  templateUrl: 'profile.html',
})
export class ProfilePage {

  deviceId: any;
  issues: any[] = ["draft 1", "draft 2", "draft 3"];

  userProfile: UserModel;
  username: string;
  usermail: string;
  // email: 

  constructor(public navCtrl: NavController
              , public navParams: NavParams
              , public user: UserProvider
              , private appData: AppData) {

    this.userProfile = this.user.Profile;
    this.username = this.userProfile.name;
    this.usermail = this.userProfile.email;
  }

  ionViewDidLoad() {
    console.log('ionViewDidLoad ProfilePage');

    this.appData.getDeviceId()
    .then( (uuid: any) => {
      this.deviceId = uuid;
    })
    .catch((error) => {
      // todo: use it later for unauthenticated users
      console.info("device id error: " + error);
      this.deviceId = "error retrieving deviceId";
    });
  }
  
  logout() {
    this.user.logout();
    this.appData.status = AppData.STATUS_NO_AUTH;
    this.navCtrl.popToRoot();
  }  
}
