import { Injectable } from '@angular/core';
import { Http, RequestOptionsArgs, RequestOptions, Headers } from '@angular/http';
// import { Http, RequestOptions, RequestOptionsArgs } from '@angular/http';
import 'rxjs/add/operator/map';
import { UrlModel } from '../../models/url-model';

/*
  Generated class for the UrlProvider provider.

  See https://angular.io/guide/dependency-injection for more info on providers
  and Angular DI.
*/
@Injectable()
export class UrlProvider {

  constructor(public http: Http) {
    console.log('Hello UrlProvider Provider');
  }

  public static getConnectUrl(urlCfg: UrlModel): string {

    var url = urlCfg.proxyUrl;
    
    if(window.location.hostname === "localhost"){
        // use proxy on localhost because of CORS
        url = urlCfg.path;
    }

    if(urlCfg.resource && urlCfg.resource.length>0) {
      url = url + urlCfg.resource;
    }
    // console.log("backend request url: " + url);
    return url;
  }
  
  public static createHeader(): Headers {
    let headers = new Headers();
    // headers.append("content-type", "application/json");
    headers.append("Accept", "application/json");
    return headers;
  }

  public static createOptions(): RequestOptions {
    let header = UrlProvider.createHeader();
    let args: RequestOptionsArgs = { headers: null };
    return new RequestOptions(args);
  }

  
}
